!------------------------------------------------------------------------------
!
!  SIGALAD_Z -- READ CROSS SECTION FIT COEFFICIENTS FROM ALADDIN DATA FILE
!
SUBROUTINE SIGALAD_Z
!
!
!  Modified:
!  10/07/94 TBT added Lithium.
!   6/13/00 PCR where indicated.
!
!  USED TO LOAD COMMON FOR SIGTAB PROGRAM, SO THAT DESIRED FITS MAY BE
!  COMPUTED.
!
!
!  ** CAUTION **
!  ALADDIN LABELS FOR REACTIONS ARE HARD CODED HERE AND USED TO IDENTIFY
!  THE REACTION WANTED.  THE LABELS ARE ALSO CODED IN SUBROUTINE SIGALL
!  WHICH CALLS ROUTINES TO ACTUALLY EVALUATE THE FITS.  ** IF A REACTION
!  LABEL CHANGES IT NEEDS TO CHANGE IN BOTH PLACES **
!
!
!  ALADDIN COMMON:
!
  use iso_c_binding, only: fp => c_double
  use sigtabl_mod   
  use alpcom_mod   
  use alcom_mod   
  IMPLICIT NONE
!
!------------------------------------------------------------------------------
!
!============
! idecl:  explicitize implicit INTEGER declarations:
  INTEGER ila,ier_alad
!============
  LUNALAD=87
  ALADFLAG=.TRUE.              ! PCR - Aladdin data included
!
!  PCR - new Aladdin data location...
  call UFILNAM('PREACTDIR','data/ORNL6086.DAT',ALADFILE)
!
  ILA=len_trim(ALADFILE)
  CALL ALAD_INIT_Z(LUNALAD,ALADFILE,IER_ALAD)
  IF(IER_ALAD.NE.0) THEN
     WRITE(6,'(//'' ?SIGALAD_Z -- ALADDIN FILE ACCESS FAILED.''/)')
     ALADFLAG=.FALSE.
     return
  ENDIF
!
  NUMALAD=0
!
!  GET INDIVIDUAL REACTIONS
!
  CALL SIGALAD1_Z('CX H [+1] H [+0] H [+0] H [+1]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('ION H [+1] H [+0] H [+1] H [+1] e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('CX2 He [+2] He [+0] He [+0] He [+2]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z(&
       'ION  He [+2] He [+0]  He [+2] He [+1] e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z(&
       'ION2  He [+2] He [+0]  He [+2] He [+2] 2e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('CX  He [+2] He [+0]  He [+1] He [+1]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('CX  He [+2] H [+0]  He [+1] H [+1]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('ION  He [+2] H [+0]  He [+2] H [+1] e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('CX  H [+1] He [+0]  H [+0] He [+1]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('ION H [+1] He [+0]  H [+1] He [+1] e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!       ------------------------ Lithium    tbt --------------------------
!
  CALL SIGALAD1_Z('CX  H [+1] Li [+0]  H [+0] Li [+1]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('CX  He [+2] Li [+0]  He [+1] Li [+1]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('CX2  He [+2] Li [+0]  He [+0] Li [+2]',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z('ION  H [+1] Li [+0]  H [+1] Li [+1] e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
!
  CALL SIGALAD1_Z(&
       'ION  He [+2] Li [+0]  He [+2] Li [+1] e',IER_ALAD)
  IF(IER_ALAD.NE.0) return
  
  RETURN
END SUBROUTINE SIGALAD_Z
!
!------------------------------------------------------------------------------
! 30Jun2000 fgtok -s r8_precision.sub "r8con.csh conversion"
